## confusable-homoglyphs 3.3.1

=== Makefile ===
.PHONY: clean-pyc clean-build docs clean

help:
	@echo "clean - remove all build, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "dist - package"
	@echo "install - install the package to the active Python's site-packages"

clean: clean-build clean-pyc clean-test

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

lint:
	flake8 confusable_homoglyphs tests

test:
	python setup.py test

test-all:
	tox

coverage:
	coverage run --source confusable_homoglyphs setup.py test
	coverage report -m
	coverage html
	open htmlcov/index.html

docs:
	rm -f docs/confusable_homoglyphs.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ confusable_homoglyphs
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	open docs/_build/html/index.html

release: clean
	python setup.py sdist upload
	python setup.py bdist_wheel upload

dist: clean
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean
	python setup.py install

## confusable-homoglyphs 3.2.0

=== debian/changelog ===
confusable-homoglyphs (3.2.0-2) unstable; urgency=medium

  * Added UMEGAYA.

 -- Elena Grandi <valhalla@debian.org>  Fri, 21 Oct 2022 13:42:43 +0200

confusable-homoglyphs (3.2.0-1) unstable; urgency=low

  * New package. Closes: #1020947.

 -- Elena Grandi <valhalla@debian.org>  Thu, 29 Sep 2022 13:15:17 +0200

=== debian/control ===
Source: confusable-homoglyphs
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Elena Grandi <valhalla@debian.org>
Section: python
Priority: optional
Build-Depends:
 dh-python,
 python3-setuptools,
 python3-all,
 debhelper-compat (= 13),
 python3-click,
Standards-Version: 4.6.1.0
Rules-Requires-Root: no
Homepage: https://github.com/vhf/confusable_homoglyphs
Vcs-Git: https://salsa.debian.org/python-team/packages/confusable-homoglyphs.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/confusable-homoglyphs

Package: python3-confusable-homoglyphs
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-click,
Description: Detect confusable usage of unicode homoglyphs
 a homoglyph is one of two or more graphemes, characters, or glyphs with
 shapes that appear identical or very similar
 .
 This Python library helps detect cases where Unicode homoglyphs can be used
 for malicious purposes.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Wed, 21 Sep 2022 11:39:00 +0200
export PYBUILD_NAME=confusable-homoglyphs
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/confusable_homoglyphs/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/confusable_homoglyphs/confusable_homoglyphs-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## confusable-homoglyphs 3.3.1

=== debian/changelog ===
confusable-homoglyphs (3.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove 0001-Update-ConfigParser-usage-for-python-3.2.patch merged
    upstream.
  * Skip tests that download new version of the unicode data files.
  * Include the sphinx documentation in the package.

 -- Elena Grandi <valhalla@debian.org>  Tue, 30 Jan 2024 14:26:03 +0100

confusable-homoglyphs (3.2.0-3) unstable; urgency=medium

  * Update ConfigParser usage for python > 3.2. Closes: #1058221
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Bump copyright dates.
  * Added autopkgtests.

 -- Elena Grandi <valhalla@debian.org>  Tue, 02 Jan 2024 14:09:51 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
  python3-all,
  debhelper-compat (= 13),
  python3-click,
-Standards-Version: 4.6.1.0
+ python3-sphinx,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/vhf/confusable_homoglyphs
 Vcs-Git: https://salsa.debian.org/python-team/packages/confusable-homoglyphs.git
@@ -21,6 +22,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ ${sphinxdoc:Depends},
 Recommends:
  python3-click,
 Description: Detect confusable usage of unicode homoglyphs

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Wed, 21 Sep 2022 11:39:00 +0200
export PYBUILD_NAME=confusable-homoglyphs
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd docs && make html && make man

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex; for py in `py3versions --supported 2>/dev/null`; do \
		ftp_proxy=http://invalid.org $${py} -m unittest tests/*.py ; \
	done
endif

=== debian/tests/control ===
Tests: autodep8, unittests
Depends:
 @,
 python3-all,
 python3-click,
Restrictions: allow-stderr

=== debian/watch ===
# please also check http://pypi.debian.net/confusable_homoglyphs/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/confusable-homoglyphs/confusable_homoglyphs-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
